
2017-07-19  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac: version bump to 2.2rc
	* general: temporarily disabled code-coverage because of portability issues	
	* create_win_dist.sh: fixed creation of zip archive to root directory

2017-07-13  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac [_BSD_SOURCE]: set COB_HAS_UTC_OFFSET to "yes" if C compiler
	  defines _BSD_SOURCE as we can access the offset directly in this case
	* configure.ac: output detailed version information for BDB, if available

2017-06-16  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac: added --enable-code-coverage and test for code-coverage
	  tools if enabled by AX_CODE_COVERAGE,
	  always check if user specified optimization options in CFLAGS,
	  not only when --enable-debug is active,
	  compile with -O0 for both --enable-debug and --enable-code-coverage
	* Makefile.am: added CODE_COVERAGE parts as provided by AX_CODE_COVERAGE
	  which provides new target `make check-code-coverage`

2017-06-15  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* Makefile.am: added .PHONY to correctly declare logical targets that
	  always have to be executed and don't result in a file,
	  define prerequisites to fix parallel builds

2017-05-11  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac: change in library check for BDB - prefer library
	  with version number from db.h included (-ldb-6.1 over -ldb) to
	  prevent errors on system with multiple versions that linked
	  against wrong version, see bug #100

2017-04-28  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac: removed AM_MAINTAINER_MODE, added AM_PROG_LEX,
	  AC_PROG_YACC, AM_MISSING_PROG([HELP2MAN], [help2man])
	* create_win_dist.sh: integrated hack for _MSC_VER from
	  cobc/Makefile.am; use a clean temporary folder for building

2017-04-18  Ron Norman <rjn@inglenet.com>

	* configure.ac: check for 'isfinite' (HAVE_ISFINITE)
	  'isfinite' is in the C99 standard and 'finite' deprecated with some
	  compilers

2017-02-24  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* HACKING: added info how to prepare a distribution
	* Makefile.am: don't touch any generated files, see HACKING
	* Makefile.am: chmod for all files to 644,
	  executable scripts and directories get 755

2017-02-09  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* HACKING, README: moved instructions for development/svn-builds
	  from README to new file HACKING and added missing information

2017-02-06  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac: fixed use of undefined COB_TIMEZONE

2017-02-04  Edward Hart <edward.dan.hart@gmail.com>

	* configure.ac: fixed bug where -g3 in CFLAGS was replaced by 3,
	  instead of being removed.

2016-12-26  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac: #bugs 346 moved compiler specific COB_CFLAGS from
	  cobc/cobc.c to configure, removes the use of HAVE_PSIGN_OPT, too

2016-12-25  Edward Hart <edward.dan.hart@gmail.com>

	* configure.ac: added -Qunused-arguments to clang CFLAGS.

2016-12-22  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac: additional test for libdisam names

2016-12-06  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac: changed package-name to gnucobol
	* configure.ac: fixing bug #339 added COB_MODULE_EXT to config.h,
	  renamed COB_OBJEXT->COB_OBJECT_EXT, COB_EXEEXT->COB_EXE_EXT,
	* configure.ac: exported COB_EXE_EXT to makefiles (used in testsuite)
	* Makefile.am: fixing bug #339 removed COB_MODULE_EXT and COB_OBJECT_EXT
	  from being generated in defaults.h
	* Makefile.am: cleanup of EXTRA_DIST

2016-11-17  Ron Norman <rjn@inglenet.com>

	* configure.ac: check for sys/wait.h (for CBL_GC_WAITPID)

2016-11-06  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac: limit PATCH_LEVEL to numeric, max 8 digits
	* configure.ac: use AS_HELP_STRING for all options

2016-11-05  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* Bootstrap up to libtool 2.4.6 / automake 1.15

2016-11-05  gettextize  <bug-gnu-gettext@gnu.org>

	* m4/gettext.m4: Upgrade to gettext-0.19.8.1.
	* m4/iconv.m4: Upgrade to gettext-0.19.8.1.
	* m4/lib-ld.m4: Upgrade to gettext-0.19.8.1.
	* m4/lib-link.m4: Upgrade to gettext-0.19.8.1.
	* m4/lib-prefix.m4: Upgrade to gettext-0.19.8.1.
	* m4/nls.m4: Upgrade to gettext-0.19.8.1.
	* m4/po.m4: Upgrade to gettext-0.19.8.1.
	* m4/progtest.m4: Upgrade to gettext-0.19.8.1.
	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.19.8.

2016-08-10  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* Makefile.am: added manual hook for creating a windows source zip
	  (not possible with the dist-zip target as this is identical to
	  dist-gzip), done with optional external shell create_win_dist.sh
	* create_win_dist.sh: copy an existing source distribution folder,
	  include build_windows from source tree, change line endings and
	  create DISTNAME_win.zip

2016-08-10  Edward Hart <edward.dan.hart@gmail.com>

	* configure.ac: added -g3 to CFLAGS with --enable-debug and GCC.

2016-08-01  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* general: revised all message strings

2016-05-04  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* general: removed project files and references to Visual C < 2005
	  (GC 2+ will not build with these versions) including define of
	  COB_USE_VC2005_OR_GREATER

2016-01-30  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac: removed AC_FUNC_ALLOCA

2016-01-12  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* Makefile.am: added targets "test" (running ANSI testsuite) and
	  "checkall" (running both GnuCOBOL and ANSI testsuite), both do a
	  full build of GnuCOBOL if necessary

2015-12-20  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* Taken into account all copyright assignments and rechecking the dates
	* Changed name spelling to GnuCOBOL
	* general: update of automake/autoconf/bison/flex

2015-09-15  Brian Tiffin <btiffin@gnu.org>

	* configure.ac, moved COB_DASH names to cobc/cobc.h

2015-08-03  Brian Tiffin <btiffin@gnu.org>

	* configure.ac: added COB_DASH, COB_DASH_NAME, COB_DASH_OUT
	  to support compile from stdin

2015-07-10  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* general: moved additional build-scripts to build_aux,
	  regenerated all Makefiles
	* configure.ac: added AC_CONFIG_AUX_DIR([build_aux])

2015-06-08  Luke Smith <cobcoder@users.sourceforge.net>

	* Add WITH SIZE to extended ACCEPT and DISPLAY. (see wish list #37)
	  Updated the info gnucobol and added Index at end.
	* cobc/parser.y:
	* cobc/reserved.c:
	* cobc/tree.c:
	* cobc/tree.h:
	* cobc/typeck.c:
	* doc/gnucobol.info:
	* doc/gnucobol.texi:
	* libcob/common.h:
	* libcob/screenio.c:
	* libcob/termio.c:
	* tests/testsuite.src/syn_misc.at:

2015-02-27  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* general: removed "Experimental" marker from CISAM/DISAM/VBISAM
	* configure.ac: define WITH_CURSES for printing library for screenio

2015-03-06  gettextize  <bug-gnu-gettext@gnu.org>

	* m4/gettext.m4: Upgrade to gettext-0.19.4.
	* m4/iconv.m4: Upgrade to gettext-0.19.4.
	* m4/lib-ld.m4: Upgrade to gettext-0.19.4.
	* m4/lib-link.m4: Upgrade to gettext-0.19.4.
	* m4/lib-prefix.m4: Upgrade to gettext-0.19.4.
	* m4/nls.m4: Upgrade to gettext-0.19.4.
	* m4/po.m4: Upgrade to gettext-0.19.4.
	* m4/progtest.m4: Upgrade to gettext-0.19.4.
	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.19.4.

2014-08-07  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* general: revised message strings (not all done yet);
	  similar message strings combined (23 translatable strings removed);
	  removed line breaks from translatable strings
	* configure.ac: don't disable NLS automatically for CYGWIN
	  (--disable-nls can be used by the user instead)

2014-12-04  Edward Hart <edward-h@users.sf.net>

	* configure.ac : #44 Disable optimisation with --enable-debug

2014-09-09  Philipp Böhme <phi.boehme@googlemail.com>

	* configure.ac : new check for mp_get_memory_functions in
	  libgmp and new preprocessor define HAVE_MP_GET_MEMORY_FUNCTIONS

2014-08-07  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac : add new parameter --with-curses for explicit
	  selection of used curses library (including "no");
	  better check of matching version header/library for GMP and BDB;
	  additional output of configuration summary to config.log;
	  respect --quite (don't echo or printf to stdout)

2014-06-20  Philipp Böhme <phi.boehme@googlemail.com>

	* New folder build_windows
	* Added project files for Visual Studio 2003 and newer

2014-06-14  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* General: Win compatibility: define COB_OBJEXT in defaults.h

2014-04-14  Philipp Böhme <phi.boehme@googlemail.com>

	* moved cobgetopt.c from lib to libcob
	* link cobc to libcob

2014-04-11  Simon 'sf-mensch/human' Sobisch <simonsobisch@gnu.org>

	* configure.ac : bugfix for systems with prototype for finite function
	  in ieeefp.h instead of math.h

2013-09-29  Brian Tiffin & Simon Sobisch <simonsobisch@gnu.org>

	* Change package name, and project to GNU Cobol
	* GNU-ification of source code commencing

20??-??-??  Roger While <simrw@sim-basis.de>

	* General : Affects most directories - use a modified
	  version of getopt_long_long (placed in lib)

2011-??-??  Roger While <simrw@sim-basis.de>

	* General : Affects most directories - Let make check
	  skip ISAM tests if not configured with ISAM

20??-??-??  Roger While <simrw@sim-basis.de>

	* General : Affecting directories bin and cobc - use a
	  modified version of getopt_long_long (placed in lib)

2010-06-28  Roger While <simrw@sim-basis.de>

	* MARK - Version 2.0
	* Move to GPL/LGPL 3

2009-04-11  Roger While <simrw@sim-basis.de>

	* configure.ac : Changes for BDB support, support icc
	* General : Affects all directories - Rebase to latest stable
		    autoxxxx tools

2009-03-12  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix for newest development tools

2009-03-09  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix up m4 quoting

2009-03-02  Roger While <simrw@sim-basis.de>

	* configure.ac : Correctly test for gcc and icc
	* cpucheck.c : Remove

2008-11-17  Roger While <simrw@sim-basis.de>

	* configure.ac : Correct sed usage

2008-11-15  Roger While <simrw@sim-basis.de>

	* configure.ac : Remove lfs64 option, reinstate --enable-debug

2008-11-01  Roger While <simrw@sim-basis.de>

	* configure.ac : nanosleep on Solaris needs extra libs

2008-09-29  Roger While <simrw@sim-basis.de>

	* Makefile.am : Revise format of tarstamp.h

2008-08-20  Roger While <simrw@sim-basis.de>

	* configure.ac : Option changes for AIX

2008-08-16  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix AIX xlc

2008-08-08  Roger While <simrw@sim-basis.de>

	* configure.ac : Take out --enable-debug
	* Makefile.am : Force permissions when making dist

2008-07-05  Roger While <simrw@sim-basis.de>

	* configure.ac : No need to check for regex or mvgetnstr

2008-04-16  Roger While <simrw@sim-basis.de>

	* configure.ac : Add in "copy" directory for OC supplied COPY elements

2008-01-03  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix invalid usage of square brackets

2007-12-29  Roger While <simrw@sim-basis.de>

	* Bump version to 1.1

2007-12-27  Roger While <simrw@sim-basis.de>

	* Release 1.0

2007-12-21  Roger While <simrw@sim-basis.de>

	* configure.ac : Change order of checking various things

2007-12-18  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix WITH_VARSEQ setting

2007-12-03  Roger While <simrw@sim-basis.de>

	* configure.ac : Add checks for headers/libraries when using
			 CISAM/DISAM/VBISAM

2007-11-21  Roger While <simrw@sim-basis.de>

	* configure.ac : Add --with-cisam, --with-disam, --with-vbisam

2007-11-09  Roger While <simrw@sim-basis.de>

	* configure.ac : Check for sizeof long int == long long

2007-10-23  Roger While <simrw@sim-basis.de>

	* configure.ac : Check for __attribute__((aligned))

2007-10-14  Roger While <simrw@sim-basis.de>

	* libcob.h : Add gmp include for C++

2007-10-10  Roger While <simrw@sim-basis.de>

	* General : bootstrap up to libtool 1.5.24
	* configure.ac : HP specific options

2007-09-18  Roger While <simrw@sim-basis.de>

	* configure.ac : Check for mvgetnstr in curses lib

2007-08-31  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix insufficient tests for enable/disable

2007-08-09  Roger While <simrw@sim-basis.de>

	* configure.ac : Shared option for Solaris
		New configure option --with-index-extfh, allows
		usage of an external ISAM file handler

2007-07-14  Roger While <simrw@sim-basis.de>

	* configure.ac : Changes for AIX

2007-06-27  Roger While <simrw@sim-basis.de>

	* configure.ac : Check if we can use strftime to get timezone

2007-03-13  Roger While <simrw@sim-basis.de>

	* configure.ac : Check for sys/time.h

2007-01-30  Roger While <simrw@sim-basis.de>

	* configure.ac : Check for langinfo/iconv
	* README : Update

2007-01-25  Roger While <simrw@sim-basis.de>

	* All : Update Coypright info on all files
	* README : Update - SORT does not require BDB; Fix typo
	* cpucheck.c : Uck, Intel, in their infinite wisdom, decided
		to assign the same family to Core 2 Duo as
		Pentium (pro/2/3). Check the model number.

2006-10-25  Roger While <simrw@sim-basis.de>

	* README : Update

2006-10-23  Roger While <simrw@sim-basis.de>

	* configure.ac : Remove gcc specific options from the
	  Makefile templates and pull it back into configure.
	  This should make building on non-gcc systems somewhat easier.

2006-08-29  Roger While <simrw@sim-basis.de>

	* General : FSF address change
	* COPYING.DOC : New file, GNU Free Documentation license

2006-08-28  Roger While <simrw@sim-basis.de>

	* configure.ac : Implement --disable-param-check
	  and --enable-experimental

2006-08-22  Roger While <simrw@sim-basis.de>

	* configure.ac : BDB neeeds stdlib.h for 64-bit build

2006-08-03  Roger While <simrw@sim-basis.de>

	* README update

2006-07-06  Roger While <simrw@sim-basis.de>

	* configure.ac : Revise BDB >= 4.1 checking

2006-06-29  Roger While <simrw@sim-basis.de>

	* configure.ac : Revise BDB >= 4.1 checking

2006-06-25  Roger While <simrw@sim-basis.de>

	* configure.ac : Check for BDB version major/minor in db.h,
		if >= 4.1 set extended BDB mode

2006-05-24  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix check for GMP

2006-05-05  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix default include in COB_CFLAGS

2006-03-31  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix AIX64 AR/NM

2006-02-18  Roger While <simrw@sim-basis.de>

	* configure.ac : Define __USE_STRING_INLINES

2006-01-26  Roger While <simrw@sim-basis.de>

	* configure.ac : Add (OpenCOBOL) to configure help text
	  so that OC parameters can be easily seen

2006-01-17  Roger While <simrw@sim-basis.de>

	* configure.ac : Minor fixes
	  README : Put in a comment regarding spaces in path names

2006-01-05  Roger While <simrw@sim-basis.de>

	* Bootstrap up to libtool 1.5.22 / automake 1.9.6
	  configure.ac : Changes for AIX/HP/Sun
			 Default to using system dynamic loading
			 Pass COB_LDFLAGS from LDFLAGS

2006-01-03  Roger While <simrw@sim-basis.de>

	* configure.ac : Pass CFLAGS into COB_CFLAGS
	    Default to using system dynamic loading

2005-12-31  Roger While <simrw@sim-basis.de>

	* Remove COBCRUN SHARE variable

2005-12-30  Roger While <simrw@sim-basis.de>

	* configure.ac : Check timezone/gettimeofday

2005-12-21  Roger While <simrw@sim-basis.de>

	* configure.ac : WITH_VARSEQ - Define the format of
	  variable length sequential files

2005-12-13  Roger While <simrw@sim-basis.de>

	* cpucheck.c : Revert to i686 with -mcpu/tune=

2005-12-08  Roger While <simrw@sim-basis.de>

	* configure.ac : Compile cpucheck with COB_CC.
	  Pass extra compile options as own define.
	  Put in a hack to stop CXX/F77 checking -
	  Anybody know a better way ?

2005-12-05  Roger While <simrw@sim-basis.de>

	* configure.ac : Pass down EXEEXT

2005-11-25  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix typos, cater for DB 4.4 and 4.5
			 Check for signal.h and sys/types.h
			 Clean up getopt

2005-11-06  Roger While <simrw@sim-basis.de>

	* configure.ac : minor help text cleanup

2005-11-04  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix COB_CC not equal CC

2005-11-01  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix missing EGREP
	  Check for various libdb's individually as libdb may
	  not be linked to newer version (or at all - Cygwin)
	  Check for ncurses.h in include/ncurses/ncurses.h

2005-10-31  Roger While <simrw@sim-basis.de>

	* configure.ac : Pick up -Wno-pointer-sign
	  and the visibility attribute

2005-10-28  Roger While <simrw@sim-basis.de>

	* configure.ac : Propagate endian value

2005-10-27  Roger While <simrw@sim-basis.de>

	* configure.ac : MAC (Darwin) has different options when creating a
	  shared library as opposed to creating a loadable module.
	  Pick this up and export it to the Makefile's.

2005-10-26  Roger While <simrw@sim-basis.de>

	* configure.ac : Fix DB checking again
	* README : Minor corrections/additions

2005-10-14  Roger While <simrw@sim-basis.de>

	* configure.ac : Specify srcdir for cpucheck (make distcheck)

2005-10-13  Roger While <simrw@sim-basis.de>

	* configure.ac : Use basename for gcc

2005-10-06  Roger While <simrw@sim-basis.de>

	* README : Typo for Bison

2005-10-01  Roger While <simrw@sim-basis.de>

	* cpucheck.c : Some versions of GCC generate wrong SSE code
	  when compiling with P3/4 options. Stop this by also
	  specifying -mno-sse.

2005-07-31  Roger While <simrw@sim-basis.de>

	* Change configure default options for db, lfs64, ltdl
	  Add --with-patch-level=<n>
	* Add cpucheck.c to top level for configure

2005-06-28  Roger While <simrw@sim-basis.de>

	* Finally FUNCTIONS

2005-06-13  Roger While <simrw@sim-basis.de>

	* If ncurses not found, check for pdcurses

2005-06-11  Roger While <simrw@sim-basis.de>

	* New m4 macro cattribute.m4, autoreconf run

2005-06-01  Roger While <simrw@sim-basis.de>

	* configure.ac, configure : Change for MingW

2005-05-27  Roger While <simrw@sim-basis.de>

	* DB headers can also be in db4/ db4.1/ db4.2/ db4.3/

2005-05-21  Roger While <simrw@sim-basis.de>

	* Allow configure option --with-dl for native dynamic
	  linking instead of ltdl. This is a win eg. on Linux
	  as native dl is anyway used.

2005-05-17  Roger While <simrw@sim-basis.de>

	* configure, configure.ac, all Makefile.in
	  Fix up COB_CFLAGS and COB_LIBS.
	  Cater for defining CPPFLAGS and LDFLAGS.
	  We have to propogate these to the compiler.

2005-05-13  Roger While <simrw@sim-basis.de>

	* CVS Version bumped to 0.33

2005-05-12  Roger While <simrw@sim-basis.de>

	* Version 0.32 released

2005-05-03  Roger While <simrw@sim-basis.de>

	* configure.ac : Revert WORDS_BIGENDIAN. We do not need it.
	  configure.ac, configure, Mak** : Fix missing variables.
	  Run autoreconf

2005-04-15  Keisuke Nishida  <knishida@opencobol.org>

	* configure.ac (WORDS_BIGENDIAN): New variable.

2005-04-13  Keisuke Nishida  <knishida@opencobol.org>

	* configure.ac (LIBCOB_CFLAGS): Set -fPIC when necessary.

2005-03-03  Roger While <simrw@sim-basis.de>

	* configure.ac, configure, config.h.in :
	  Version to 0.32
	  Pull out the hard-coded -shared from cobc.c
	  and define it in configure.
	  Get the strip command and put into config.h
	* ltmain.sh : Latest version

2005-02-07  Roger While <simrw@sim-basis.de>

	* configure.ac : Check for cygwin/mingw on
	  cobcrun make

2005-02-01  Roger While <simrw@sim-basis.de>

	* Version 0.31 released

2005-01-13  Roger While <simrw@sim-basis.de>

	* configure.ac, configure, config.h.in
	* Generate compiler/linker options in config.h
	  for exporting symbols and PIC code.
	  Will eventually be used by cobc.c.

2004-11-29  Roger While <simrw@sim-basis.de>

	* New directory bin for cobcrun driver program
	* configure.ac, Makefile.am

2004-10-30  Roger While <simrw@sim-basis.de>

	* configure.ac, configure (over autoconf) :
	  Change entry point name check from __db_dbopen
	  to __db_open. This fixes configuring against
	  the NPTL versions of DB (eg. Red Hat, Suse).

2004-08-02  Keisuke Nishida  <knishida@opencobol.org>

	* Version 0.30 released.

2004-03-06  Keisuke Nishida  <knishida@wind.sannet.ne.jp>

	* configure.ac: Checks for fcntl.

2003-08-22  Keisuke Nishida  <kxn30@yahoo.co.jp>

	* libcob.conf: Removed.

2003-06-12  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.23 released.

2003-06-08  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.22 released.

2003-05-19  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.21 released.

2003-04-26  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.20 released.

2003-04-19  Keisuke Nishida  <knishida@netlab.jp>

	* cob.pc.in: Removed.

	* cobpp: Removed.

2002-03-01  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.12 released.

2002-01-31  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.11 released.

2002-12-10  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.10 released.

	* configure.ac: Updated for autoconf-2.57, and automake-1.7.2.

2002-12-01  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac: Updated for autoconf-2.56, automake-1.7.1,
	and libtool-1.4.3.

2002-11-08  Keisuke Nishida  <knishida@netlab.jp>

	* libcob.h: Don't include support.h.

2002-10-14  Keisuke Nishida  <knishida@netlab.jp>

	* Makefile.am: Install libcob.conf in $(sysconfdir), not in
	$(sysconfdir)/open-cobol.
	* configure.ac (COB_CONFIG_FILE): Updated.

2002-09-30  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac: Updated for autoconf-2.54 and automake-1.7.
	Do not generate libcob/cobconfig.h.

2002-09-24  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac: Generate libcob/cobconfig.h using AM_CONFIG_HEADER.
	Check db.h as well as db1/db.h.

2002-09-12  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac: Add check for regex.

2002-09-09  Keisuke Nishida  <knishida@netlab.jp>

	* Makefile.am (deb, rpm): Removed.

2002-09-06  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac: Check for db1 instead of db2/db3.

2002-09-05  Keisuke Nishida  <knishida@netlab.jp>

	* Use pkg-config scheme.
	* cob.pc.in: New file.
	* cob.m4, cob-config.in: Removed.
	* Makefile.am, configure.ac: Add cob.pc.  Remove cob-config and cob.m4.

2002-08-30  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac (AM_INIT_AUTOMAKE): Option 'gnu' and 'no-texinfo.tex'.
	(AC_FUNC_STAT, AC_HEADER_STAT): Removed.
	(LTLIBINTL): Used instead of LIBINTL.
	* Makefile.am (EXTRA_DIST): Don't include 'redhat' and 'debian'.

2002-08-28  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac: Use AC_LIBOBJ scheme.

2002-08-27  Keisuke Nishida  <knishida@netlab.jp>

	* HACKING: Use automake-1.6.3 and gettext-0.11.5.
	* configure.ac (COB_COBPP): Don't set path.
	(AM_GNU_GETTEXT_VERSION): Use gettext-0.11.5.
	(AC_CONFIG_AUX_DIR): Set to 'config'.

2002-08-05  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac (LIBCOB_LIBS): Add $LIBINTL.

2002-08-02  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.9.7 released.

2002-07-30  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac (LIBCOB_LIBS): Set one by one.

2002-07-29  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac (COB_CONFIG_FILE): Use sysconfdir, not datadir.
	* Makefile.am (libcob.conf): Install into pkgconfdir, not pkgdatadir.

2002-07-01  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac: Checks for ncurses.

	* libcob.h: #include <libcob/screenio.h>

2002-06-18  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac (COB_MODULE_EXT): Convert dll.a to dll.

2002-06-17  Keisuke Nishida  <knishida@netlab.jp>

	* Makefile.am (EXTRA_DIST): Don't include config.rpath.

2002-06-12  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.9.6 released.

2002-06-11  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac (COB_MODULE_EXT): New variable.
	* Makefile.am (defaults.h): Output COB_MODULE_EXT.

2002-06-08  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac: Check the existence of gcc (or cc).

2002-06-04  Keisuke Nishida  <knishida@netlab.jp>

	* libcob.conf (ding-on-error): New option.

2002-06-02  Keisuke Nishida  <knishida@netlab.jp>

	* testsuite: New directory.

2002-05-31  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac (maintainer-mode): Do not define.
	(LIBCOB_LIBS): Include '-lm'

	* Makefile.am (DISTCLEANFILES): Renamed from CLEANFILES.

2002-05-29  Keisuke Nishida  <knishida@netlab.jp>

	* README, AUTHORS: Add more information.
	* HACKING: Renamed from README.CVS.  Add more information.
	* Makefile.am: Include HACKING in the distribution.

2002-05-29  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac: Check readline only when --with-readline is given.

2002-05-29  Keisuke Nishida  <knishida@netlab.jp>

	* libcob.conf: New file.
	* configure.ac, Makefile.am: Add 'COB_CONFIG_FILE'.

2002-05-29  Keisuke Nishida  <knishida@netlab.jp>

	* configure.ac, Makefile.am: Rename 'COB_LDADD' to 'COB_LIBS'

2002-05-19  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.9.5 released.

2002-05-08  Keisuke Nishida  <knishida@netlab.jp>

	* Version 0.9.4 released.

2002-03-10  Keisuke Nishida  <knishida@coboler.com>

	* Version 0.9.3 released.

2002-02-26  Keisuke Nishida  <knishida@coboler.com>

	* Version 0.9.2 released.

2002-02-03  Keisuke Nishida  <knishida@coboler.com>

	* Version 0.9.1 released.

2002-01-25  Keisuke Nishida  <knishida@coboler.com>

	* Version 0.9 released.
